Bug 35093 - IMAP warns of errors during build
Summary: IMAP warns of errors during build
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: imap   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-07 04:35 UTC by Reuben Farrelly
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-08 11:44:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:094 high SHIPPED_LIVE : Updated UW imap packages available (imap/pop3/imaps/pop3s) 2001-07-06 04:00:00 UTC

Description Reuben Farrelly 2001-04-07 04:35:54 UTC
Hi,

When rebuilding the imap-2000-8.src.rpm I get this appear on the screen 
during the compile:

cc -g -O6 -mpentium -fPIC -DDISABLE_POP_PROXY=1 -
DIGNORE_LOCK_EACCES_ERRORS=1 -I/usr/include/openssl `cat OSCFLAGS` -c 
osdep.c
In file included from /usr/include/openssl/asn1.h:62,
                 from /usr/include/openssl/objects.h:960,
                 from /usr/include/openssl/evp.h:129,
                 from /usr/include/openssl/x509.h:67,
                 from auth_ssl.c:22,
                 from auths.c:2,
                 from env_unix.c:113,
                 from osdep.c:41:
/usr/include/time.h:166: warning: type mismatch with previous implicit 
declaration
auth_md5.c:129: warning: previous implicit declaration of `time'
/usr/include/time.h:166: warning: `time' was previously implicitly 
declared to return `int'

I'm not building with Kerberos support (as I do not need it).

Running with glibc-2.2.2-7 and openssl-0.9.6-2  (I'm guessing it may be a 
problem with those packages not imap but I'm not sure)

Comment 1 Mike A. Harris 2001-04-08 02:54:54 UTC
Can't reproduce.  What environment are you building under?  Latest
Rawhide, or Wolverine, Guinness?

Comment 2 Mike A. Harris 2001-04-08 11:31:25 UTC
Nalin, since this involves stuff you maintain, can you comment on it?
Seems fine to me, but perhaps there's something I'm missing..

Comment 3 Reuben Farrelly 2001-04-08 11:44:00 UTC
Ok, I am running mostly the latest rawhide RPMs but due to the fact that I 
cannot download the entire release every time some packages are updated (19c/MB 
over a modem makes it a bit impractical...), it is a mostly up to date rawhide 
release.

I've mentioned my glibc and openssl version, are there any other RPMS which you 
would need to know about?


Comment 4 Mike A. Harris 2001-05-18 07:22:58 UTC
This problem is long since fixed.  The problem is that time.h used
to be automagically included in sys/time.h, and it is no longer, for
standards compliance or something...  If you haven't already, please
upgrade to our latest release.


Note You need to log in before you can comment on or make changes to this bug.